import apiHelper from './api.helper.js'

/**
 * 产品查询
 * @param name 账户名
 * @param password 账户密码
 * @param captcha 验证码
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiProductSelect(params) {
	const res = await apiHelper.post('/sap/bc/ztpm/to_new_crm/transdata/product_ovs', params)
	return res
}

/**
 * 销售计划查询
 * @param name 账户名
 * @param password 账户密码
 * @param captcha 验证码
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiSalesPlanSelect(params) {
	const res = await apiHelper.post('/sap/bc/ztpm/to_new_crm/transdata/sales_plan_ovs', params)
	return res
}

/**
 * 获取销售计划类型
 * @param captcha 验证码
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiSalesPlanTypesSelect(params) {
	const res = await apiHelper.post('/sap/bc/ztpm/to_new_crm/transdata/sp_type_ovs', params)
	return res
}

export default {
	apiProductSelect,
	apiSalesPlanSelect
}
